> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Direct Debit status

> Direct Debit Transation status



## OpenAPI

````yaml /openapi/collections.json get /direct-debit/mandate-status
openapi: 3.0.2
info:
  title: Flick Collections API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Virtual Account/IBANs
    description: iban Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Card
    description: Card Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Direct-debit
    description: Debit
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /direct-debit/mandate-status:
    get:
      tags:
        - Direct-debit
      summary: Direct Debit status
      description: Direct Debit Transation status
      operationId: getting debit status
      parameters:
        - name: transactionId
          in: query
          description: Transation number
          schema:
            type: string
            example: uuid-34l45m5-5mfo9-
          required: true
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DebitStatusResponse'
        '404':
          description: Not Found
      security:
        - bearerAuth: []
components:
  schemas:
    DebitStatusResponse:
      type: object
      properties:
        status:
          type: string
          example: '200'
        message:
          type: string
          example: successfully fetched data
        data:
          type: object
          properties:
            transactionId:
              type: string
              example: uuid-34l45m5-5mfo9-
            message:
              type: string
              example: Direct debit has been approved by bank
            mandate_status:
              type: string
              example: '00'
            start_date:
              type: string
              example: '2024-04-18'
            end_date:
              type: string
              example: '2024-04-25'
            amount:
              type: integer
              example: '1500'
            frequency:
              type: string
              example: daily
            total_expected_deductions:
              type: integer
              example: 8
            total_completed_deductions:
              type: integer
              example: 0
            total_remaining_deductions:
              type: integer
              example: 8
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.